package de.kreawi.trainer.dialogs.selection;

import java.util.Map;

import javax.swing.Action;

import com.jquizengine.questions.collection.QuestionPool;

import de.kreawi.trainer.TrainerFrame;
import de.kreawi.trainer.TrainerFrame.Actions;
import de.kreawi.trainer.TrainerModel;
import de.kreawi.trainer.TrainerSettingsConstants;

public class TextICUSelectionDialog extends ICUSelectionDialog {

	private static final long serialVersionUID = 2964890722198784802L;

  public TextICUSelectionDialog(TrainerFrame mainframe, TrainerModel model, Map<Actions, Action> actionMap,
      QuestionPool questionPool) {
    super(mainframe, model, actionMap, questionPool);
  }

	@Override
	protected boolean showExamMode() {
		return false;
	}
	
	@Override
	protected String getSelectionToolTipText() {
		return getSelectionToolTiptextImpl("SELECTION_LABEL_ICU_SELECTION_EXPLANATION");
	}

	@Override
	protected String getExplanationMessageKey() {
		return TrainerSettingsConstants.KEY_SHOW_ICU_SELECTION_EXPLANATION_MESSAGE;
	}

}
