package de.kreawi.trainer;

import java.util.LinkedList;

public class StartupMessageQueue {

  private final LinkedList<Runnable> queue = new LinkedList<Runnable>();
  
  public void addMessageTask(final Runnable task) {
    queue.add(task);
  }
  
  public Runnable nextTask() {
    final Runnable task = queue.poll();
    if (task == null) {
      return () -> {};
    } else {
      return task;
    }
  }
}
