package de.kreawi.trainer.dialogs.onlineGame;

import javafx.scene.image.Image;
import javafx.scene.image.ImageView;
import javafx.scene.layout.BorderPane;
import javafx.scene.layout.Pane;

public class WaitPage extends BorderPane {
   
  public WaitPage(final Pane parent) {
    super();
    
    this.minWidthProperty().bind(parent.widthProperty());
    
//    getStylesheets().add("/de/kreawi/trainer/dialogs/kreawi_internal_frame.css");

    // apply same gradient as internal frame to list
    getStyleClass().add("kif_content");
    // kif_content_with_title for rounded corners only on bottom
    getStyleClass().add("kif_content_with_title");
    

    setStyle("-fx-background-color: rgba(255, 255, 255, 0.9)");
    
//    setCenter(new Text("Bitte warten..."));
    final Image loadGif = new Image(getClass().getResourceAsStream("/de/kreawi/trainer/resources/images/loading.gif"));
    setCenter(new ImageView(loadGif));

  }
}
