package de.kreawi.trainer.dialogs.selection;

import java.util.Map;

import javax.swing.Action;

import com.jquizengine.questions.collection.QuestionPool;

import de.kreawi.trainer.TrainerFrame;
import de.kreawi.trainer.TrainerFrame.Actions;
import de.kreawi.trainer.TrainerModel;

public abstract class CategorySelectionDialog extends ListSelectionDialog {

	private static final long serialVersionUID = 4563146223201729228L;

  public CategorySelectionDialog(final TrainerFrame mainframe, final TrainerModel model,
      final Map<Actions, Action> actionMap, final QuestionPool questionPool) {
    super(mainframe, model, actionMap, questionPool);
	}

	@Override
	protected boolean showExams() {
		return false;
	}
	
	@Override
	protected boolean showICU() {
		return true;
	}
	
	@Override
	protected boolean isTotalDependsOnFilter() {
		return false;
	}

	@Override
	protected boolean showCategoryColors() {
		return true;
	}

}
